<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="..\..\..\MyCare\src\Milsa.MyCare.EventHub\Features\Amqp\AmqpService.cs" Link="Features\Amqp\AmqpService.cs" />
    <Compile Include="..\..\..\MyCare\src\Milsa.MyCare.EventHub\Features\MongoDb\MongoDbClient.cs" Link="Features\MongoDb\MongoDbClient.cs" />
    <Compile Include="..\..\..\MyCare\src\Milsa.MyCare.EventHub\Features\MongoDb\MongoDbService.cs" Link="Features\MongoDb\MongoDbService.cs" />
    <Compile Include="..\..\..\MyCare\src\Milsa.MyCare.EventHub\Features\MongoDb\MongoDbServiceOptions.cs" Link="Features\MongoDb\MongoDbServiceOptions.cs" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Features\MongoDb\" />
    <Folder Include="Features\Amqp\" />
    <Folder Include="wwwroot\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.1.2" PrivateAssets="All" />
    <PackageReference Include="MongoDB.Driver" Version="2.7.2" />
    <PackageReference Include="RabbitMQ.Client" Version="5.1.0" />
  </ItemGroup>

</Project>
